# © 2021 Le Filament (<http://www.le-filament.com>)
# © 2021 Confédération Générale des Scop (<https://www.les-scop.coop>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).

from odoo import fields, models


class ScopFollowUpFormat(models.Model):
    _name = "scop.followup.format"
    _description = "Format du suivi"
    _order = "ur_id, name"

    def _default_ur(self):
        return self.env["res.company"]._ur_default_get()

    name = fields.Char("Format du suivi")
    ur_id = fields.Many2one(
        "union.regionale",
        string="Union Régionale",
        index=True,
        ondelete="restrict",
        default=_default_ur,
    )
    duree = fields.Integer("Durée du suivi")
